                              PROCMETER V3.5
                              ==============

A system monitoring program for Linux.


Usage: procmeter3-xaw  [-h] -w hint [--rc=<filename>] [--...] ...
       procmeter3-gtk1 [-h] -w hint [--rc=<filename>] [--...] ...
       procmeter3-gtk2 [-h] -w hint [--rc=<filename>] [--...] ...
       procmeter3-log  [-h]         [--rc=<filename>] [--...] ...
       procmeter3-lcd  [-h]         [--rc=<filename>] [--...] ...

-h                Print out a help message.
-w <hint>         Set an Extended Window Manager Hint.
--rc=<filename>   Specify an alternative .procemterrc file.
--...             Command line options to set .procmeterrc options.
...               Options, use the '-h' option to list the possibilities.



Compilation
-----------

Edit the Makefile to set the paths for installation (INSTDIR).

To compile all possible versions (using GTK1 and/or GTK2 if available) then use:

make all


To compile a specific version or versions then specify the names of the versions
that are required.  The possible version names are:

procmeter3-xaw      - Traditional Athena Widgets version.

procmeter3-gtk1     - GTK1 version.

procmeter3-gtk2     - GTK2 version.

procmeter3-log      - Non-GUI data-logging version.

procmeter3-lcd      - Not an X Window system GUI version but using small LCD
                      device with LCDproc server (http://lcdproc.omnipotent.net).


For example to compile the Athena version and the GTK2 version use the command:

make procmeter3-xaw procmeter3-gtk2


Installation
------------

To install all files in the default locations just use:

make install


To install all of the files into a directory tree that is rooted somewhere other
than the usual place (e.g. in /tmp/procmeter3) use the DESTDIR option:

make install DESTDIR=/tmp/procmeter3


Usage
-----

The manual pages procmeter3-xaw(1), procmeter3-gtk1(1), procmeter3-gtk2(1),
procmeter3-log(1) and procmeter3-lcd(1) give more details on how to use the
programs.

The manual page procmeter3_modules(1) describes the different data display
modules that are available.

The manual page procmeterrc(5) describes the format of the configuration file
that is used by all versions of the program.


More Information
----------------

There is a ProcMeter3 web-page that contains the latest information
http://www.gedanken.demon.co.uk/procmeter3/


There is also a ProcMeter announcements mailing list; send an e-mail to
procmeter-announce-request@gedanken.demon.co.uk with the phrase 'subscribe' in
the body.


Author & Copyright
------------------

Andrew M. Bishop

Procmeter Version 3.0 Written August - September 1998
Procmeter Version 3.1 Written February - March   1999
Procmeter Version 3.2 Written August - December  1999
Procmeter Version 3.3 Written August 2000 - November 2002
Procmeter Version 3.4 Written November 2002 - September 2007
Procmeter Version 3.5 Written September 2007 - 

email: amb@gedanken.demon.co.uk [Please put procmeter in the subject line]

This program is Copyright Andrew M. Bishop 1994-2010 and distributed under GPL.


Some modules were written by Joey Hess <joey@kitenet.net>, a long time supporter
of the program: wireless, longrun and acpi.

The GTK2 code for Extended Window Manager Hints as well as an updated manual
page came from Wolfgang Kroener <wk@azog.de> along with other bug fixes
(e.g. GTK2 grid-min handling).

The FanSpeed, Temperature & Voltage modules were provided by Mike T. Liang along
with several bug fixes and some other new features.
